
{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
<div class="row">
<div class="col-sm-8">
<h4 class="page-title">Roles & Permissions</h4>
</div>
</div>
<div class="row">
<div class="col-sm-3">
<a href="#" class="btn btn-primary btn-block" data-toggle="modal" data-target="#add_role"><i class="fa fa-plus"></i> Add Roles</a>
<div  class="roles-menu">
<ul class="nav">
  {% for role in roles %}
  <li id="role{{role.id}}" {%if loop.index == 1%} class="active" {%endif%}>
    <a  class="action" href="javascript:role('{{ role.id }}','#role{{ role.id }}');">{{ role.role }}
      <span class="role-action">
        <span class="action-circle large" title="Edit" onclick="edit_role('{{ role.id }}')" data-toggle="modal" data-target="#edit_role">
          <i class="material-icons">edit</i>
        </span>
        <span class="action-circle large delete-btn" title="Delete" onclick="delete_role('{{ role.id }}','Role')">
          <i class="material-icons">delete</i>
        </span>
      </span>
    </a>
  </li>
  {% endfor %}
</ul>
</div>
</div>
<div class="col-sm-9">
<h6 class="panel-title m-b-20">Module Access</h6>
<form class="create_module" method="post">
  <input name="role-id" type="hidden"/>
<div class="panel">
<ul class="list-group">
  <li class="list-group-item">
    Inventory
    <div class="material-switch pull-right">
      <input name="access_inventory" id="inventory_module" type="checkbox"/>
      <label for="inventory_module" class="label-success"></label>
    </div>
  </li>
  <li class="list-group-item">
     Users
    <div class="material-switch pull-right">
      <input name="access_user" id="user_module" type="checkbox"/>
      <label for="user_module" class="label-success"></label>
    </div>
  </li>

</ul>
</div>
<div class="table-responsive">
<table class="table table-striped custom-table">
  <thead>
    <tr>
      <th>Module Permission</th>
      <th class="text-center">Read</th>
      <th class="text-center">Write</th>
      <th class="text-center">Create</th>
      <th class="text-center">Delete</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>Inventory</td>
      <td class="text-center">
        <input name="read_inventory" type="checkbox">
      </td>

      <td class="text-center">
        <input name="write_inventory" type="checkbox">
      </td>
      <td class="text-center">
        <input name="create_inventory" type="checkbox">
      </td>
      <td class="text-center">
        <input name="delete_inventory" type="checkbox">
      </td>
    </tr>
    <tr>
      <td>User</td>
      <td class="text-center">
        <input name="read_user" type="checkbox">
      </td>
      <td class="text-center">
        <input name="write_user" type="checkbox">
      </td>
      <td class="text-center">
        <input name="create_user" type="checkbox">
      </td>
      <td class="text-center">
        <input name="delete_user" type="checkbox">
      </td>
    </tr>
  </tbody>
</table>
</div>
<div class="form-group">
  <button type="submit"  class="btn btn-primary">Save or update</button>
</div>
</form>
</div>
</div>
</div>

<div id="add_role" class="modal custom-modal fade" role="dialog">
  <div class="modal-dialog">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <div class="modal-content modal-md">
      <div class="modal-header">
        <h4 class="modal-title">Add Role</h4>
      </div>
      <div class="modal-body">
        <form class="create_role" method="post">
          <div class="form-group">
            <label>Role Name <span class="text-danger">*</span></label>
            <input name="role" class="form-control" required type="text">
          </div>
          <div class="m-t-20 text-center">
            <button type="submit"  class="btn btn-primary">Create Role</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<div id="edit_role" class="modal custom-modal fade" role="dialog">
  <div class="modal-dialog">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <div class="modal-content modal-md">
      <div class="modal-header">
        <h4 class="modal-title">Edit Role</h4>
      </div>
      <div class="modal-body">
        <form class="edit_role" method="post">
          <div class="form-group">
            <label>Role Name <span class="text-danger">*</span></label>
            <input name="id" class="form-control" type="hidden">
            <input name="edit-role" class="form-control" type="text">
          </div>
          <div class="m-t-20 text-center">
            <button {% if current_user.role.permissions.write_user == False %} disabled {% endif %} type="submit" class="btn btn-primary">Save & Update</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
{% endblock %}

{% block scripts %}
  {{ super() }}
  <script>
  $(document).ready(function() {
          var csrftoken = "{{ csrf_token() }}"
          $.ajaxSetup({
            beforeSend: function(xhr, settings) {
                if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type) && !this.crossDomain) {
                    xhr.setRequestHeader("X-CSRFToken",csrftoken)
                }
            }
        })
      });
  </script>
  <script src="{{ url_for("static", filename="pages/role_permissions.js") }}"></script>
{% endblock %}
